# vim: syntax=spec
Name:       waydock-git
Version:    0.git.46.0c1b0dd4
Release:    46%{?dist}
Summary:    A dock that supports wlroots-based WMs
License:    GPLv3
URL:        https://github.com/ErikReider/waydock
VCS:        git+https://github.com/ErikReider/waydock.git#0c1b0dd49c1fc3473c541761748a3b4e7b2c3e49:
Source:     waydock-0c1b0dd4.tar.gz

Provides: waydock

BuildRequires: meson >= 0.60.0
BuildRequires: vala
BuildRequires: git

BuildRequires: pkgconfig(gio-2.0) >= 2.50
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.50
BuildRequires: pkgconfig(gtk4) >= 4.14
BuildRequires: pkgconfig(json-glib-1.0) >= 1.0
BuildRequires: pkgconfig(granite-7) >= 7.5.0
BuildRequires: pkgconfig(gtk4-layer-shell-0) >= 1.0.2
BuildRequires: pkgconfig(libadwaita-1) >= 1.5.0
BuildRequires: pkgconfig(gee-0.8)
BuildRequires: pkgconfig(gtk4-wayland)
BuildRequires: pkgconfig(wayland-client)
BuildRequires: sassc
Requires: glib2
Requires: gtk4-layer-shell

%description
A dock that supports wlroots-based WMs

%prep
%setup -T -b 0 -q -n waydock

%build
%meson
%meson_build

%install
%meson_install

%files
%doc README.md
%{_bindir}/waydock
%license LICENSE
%{_datadir}/glib-2.0/schemas/org.erikreider.waydock.gschema.xml

# Changelog will be empty until you make first annotated Git tag.
%changelog
